PostgreSQL v11 offline (portable) version libwinpthread-1.dll error

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

PostgreSQL v11 offline (portable) version libwinpthread-1.dll error

Nurmurat Gurbanliyew
Dear Ms/Mr

I downloaded offline version of PostgreSQL v11 unpacked and run the code 
pg_ctl --help. 
It gave an error, wanted libwinphread-1.dll 

Now it works!!!
Please update (or what else needs to be done) in order to use offline version of PostgreSQL v11.

Thank you very much for your product

Your Sincerely
Nurmyrat


Reply | Threaded
Open this post in threaded view
|

Re: PostgreSQL v11 offline (portable) version libwinpthread-1.dll error

Sandeep Thakkar-2
Hi

I guess by offline version you mean, the binary archive and I see the libwinpthread-1.dll is present.

$ unzip -l postgresql-11.1-1-windows-x64-binaries.zip  | grep libwinpthread
    52736  11-07-2018 06:59   pgsql/bin/libwinpthread-1.dll

On Fri, Nov 23, 2018 at 2:40 AM Nurmurat Gurbanliyew <[hidden email]> wrote:
Dear Ms/Mr

I downloaded offline version of PostgreSQL v11 unpacked and run the code 
pg_ctl --help. 
It gave an error, wanted libwinphread-1.dll 

Now it works!!!
Please update (or what else needs to be done) in order to use offline version of PostgreSQL v11.

Thank you very much for your product

Your Sincerely
Nurmyrat




--
Sandeep Thakkar


Reply | Threaded
Open this post in threaded view
|

Re: PostgreSQL v11 offline (portable) version libwinpthread-1.dll error

Sandeep Thakkar-2
and if you are talking about the offline installer, then it also contains the DLL. Can you share the package name please?

On Fri, Nov 23, 2018 at 11:37 AM Sandeep Thakkar <[hidden email]> wrote:
Hi

I guess by offline version you mean, the binary archive and I see the libwinpthread-1.dll is present.

$ unzip -l postgresql-11.1-1-windows-x64-binaries.zip  | grep libwinpthread
    52736  11-07-2018 06:59   pgsql/bin/libwinpthread-1.dll

On Fri, Nov 23, 2018 at 2:40 AM Nurmurat Gurbanliyew <[hidden email]> wrote:
Dear Ms/Mr

I downloaded offline version of PostgreSQL v11 unpacked and run the code 
pg_ctl --help. 
It gave an error, wanted libwinphread-1.dll 

Now it works!!!
Please update (or what else needs to be done) in order to use offline version of PostgreSQL v11.

Thank you very much for your product

Your Sincerely
Nurmyrat




--
Sandeep Thakkar




--
Sandeep Thakkar


Reply | Threaded
Open this post in threaded view
|

Re: PostgreSQL v11 offline (portable) version libwinpthread-1.dll error

Thomas Kellerer
In reply to this post by Nurmurat Gurbanliyew
Nurmurat Gurbanliyew schrieb am 22.11.2018 um 21:51:
> I downloaded offline version of PostgreSQL v11 unpacked and run the code 
> pg_ctl --help. 
> It gave an error, wanted libwinphread-1.dll 
> Downloaded that library from https://osdn.net/projects/sfnet_sixtyfourbitcompiles/downloads/64bit/libwinpthread-1.dll/
>
> Now it works!!!
> Please update (or what else needs to be done) in order to use offline version of PostgreSQL v11.

Assuming you are talking about the "ZIP archive" supplied by EnterpriseDB, this has already been addressed:

https://www.postgresql.org/message-id/flat/6c5b191a-f1eb-4b53-ca44-73ffb4112d0a%40aklaver.com#cbea7fa49a4134a14b0c40c1394cb5f4